#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	vlc
Version		:	3.0.21
Release		:	17.0.10.rel%{?dist}
Summary		:	Media player and multimedia engine
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://www.videolan.org/vlc
			#http://download.videolan.org/pub/videolan/vlc

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	avahi
BuildRequires	:	flac-devel
BuildRequires	:	freetype-devel
BuildRequires	:	ffmpeg-devel
BuildRequires	:	gstreamer
BuildRequires	:	gtk3+
BuildRequires	:	jack2-devel
BuildRequires	:	liba52
BuildRequires	:	libass
BuildRequires	:	libbluray-devel
BuildRequires	:	libdvdcss
BuildRequires	:	libv4l-devel
BuildRequires	:	libdvdnav
BuildRequires	:	libdvdread
BuildRequires	:	libgcrypt
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libnotify
BuildRequires	:	libpng-devel
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	libsecret
BuildRequires	:	libupnp-devel
BuildRequires	:	libva-devel
BuildRequires	:	libvdpau
BuildRequires	:	libvpx
BuildRequires	:	libvorbis
BuildRequires	:	libxml2
BuildRequires	:	lua
BuildRequires	:	ncurses-devel
BuildRequires	:	neon
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qtbase-gui
BuildRequires	:	qt5-qtsvg-devel
BuildRequires	:	qt5-qtx11extras-devel
BuildRequires	:	speex
BuildRequires	:	speexdsp
BuildRequires	:	SDL
BuildRequires	:	SDL_image-devel
BuildRequires	:	xorg-libXpm
BuildRequires	:	xorg-libXinerama
BuildRequires	:	x264-devel
BuildRequires	:	x265-devel

Requires	:	libdvdcss
Requires	:	libdvdnav
Requires	:	libdvdread
Requires	:	xcb-util-keysyms

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is a popular libre and open source media player and
multimedia engine, used by a large number of individuals,
professionals, companies and institutions. Using open source
technologies and libraries, VLC has been ported to most
computing platforms, including GNU/Linux, Windows, Mac OS X,
BSD, iOS and Android.
w'%{name} can play most multimedia files, discs, streams,
allows playback from devices, and is able to convert to or
stream in various formats.
The VideoLAN project was started at the university
École Centrale Paris wo relicensed VLC under the GPLv2 license
in February 2001. Since then, VLC has been downloaded close to
one billion times.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*%{name}
%{_bindir}/%{name}-wrapper
%{_includedir}/%{name}/lib%{name}*.h
%{_includedir}/%{name}/plugins/%{name}_*.h
%{_includedir}/%{name}/%{name}*.h
%{_includedir}/%{name}/deprecated.h
%{_libdir}/lib%{name}.so*
%{_libdir}/lib%{name}core.so*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/pkgconfig/%{name}-plugin.pc
%{_libdir}/%{name}/*.so*
%{_libdir}/%{name}/%{name}-cache-gen
%{_libdir}/%{name}/lua/extensions/*.luac
%{_libdir}/%{name}/lua/intf/*.luac
%{_libdir}/%{name}/lua/intf/modules/*.luac
%{_libdir}/%{name}/lua/meta/art/*.luac
%{_libdir}/%{name}/lua/meta/reader/*.luac
%{_libdir}/%{name}/lua/modules/*.luac
%{_libdir}/%{name}/lua/playlist/*.luac
%{_libdir}/%{name}/lua/sd/*.luac
%{_libdir}/%{name}/plugins/access/*.so
%{_libdir}/%{name}/plugins/access_output/*.so
%{_libdir}/%{name}/plugins/audio_filter/*.so
%{_libdir}/%{name}/plugins/audio_mixer/*.so
%{_libdir}/%{name}/plugins/audio_output/*.so
%{_libdir}/%{name}/plugins/codec/*.so
%{_libdir}/%{name}/plugins/control/*.so
%{_libdir}/%{name}/plugins/gui/*.so
%{_libdir}/%{name}/plugins/demux/*.so
%{_libdir}/%{name}/plugins/keystore/*.so
%{_libdir}/%{name}/plugins/logger/*.so
%{_libdir}/%{name}/plugins/lua/*.so
%{_libdir}/%{name}/plugins/meta_engine/*.so
%{_libdir}/%{name}/plugins/misc/*.so
%{_libdir}/%{name}/plugins/notify/*.so
%{_libdir}/%{name}/plugins/mux/*.so
%{_libdir}/%{name}/plugins/packetizer/*.so
%{_libdir}/%{name}/plugins/plugins.dat
%{_libdir}/%{name}/plugins/services_discovery/*.so
%{_libdir}/%{name}/plugins/spu/*.so
%{_libdir}/%{name}/plugins/stream_*/*.so
%{_libdir}/%{name}/plugins/text_renderer/*.so
%{_libdir}/%{name}/plugins/video_*/*.so
%{_libdir}/%{name}/plugins/visualization/*.so
%{_libdir}/%{name}/plugins/vdpau/libvdpau*_plugin.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/icons/hicolor/*/apps/*.{png,xpm}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/%{name}/skins2/default.vlt
%{_datadir}/%{name}/skins2/fonts/*.ttf
%{_datadir}/%{name}/skins2/skin.catalog
%{_datadir}/%{name}/skins2/skin.dtd
%{_datadir}/%{name}/skins2/winamp2.xml
%{_datadir}/%{name}/utils/*-%{name}-default.sh
%{_datadir}/%{name}/%{name}.ico
%{_datadir}/%{name}/lua/http/*
%{_datadir}/kde4/apps/solid/actions/%{name}-*.desktop
%{_defaultdocdir}/%{name}-%{version}/fortunes.txt
%{_defaultdocdir}/%{name}-%{version}/lib%{name}/*
%{_defaultdocdir}/%{name}-%{version}/lua/*
%{_mandir}/man1/%{name}*.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_libdir}/vlc/vlc-cache-gen %{_libdir}/vlc/plugins > /dev/null 2>&1
  fi

#-----------------------------------------------------------------------------
%post
%{_libdir}/vlc/vlc-cache-gen %{_libdir}/vlc/plugins > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor > /dev/null 2>&1
%{_bindir}/update-desktop-database > /dev/null 2>&1

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build

BUILDCC="gcc"						\
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-a52					\
	--enable-avcodec				\
	--enable-bluray					\
	--enable-fontconfig				\
	--enable-freetype				\
	--enable-libass					\
	--enable-libxml2				\
	--enable-lua					\
	--enable-ncurses				\
	--enable-notify					\
	--enable-skins2					\
	--enable-svg					\
	--enable-udev					\
	--enable-v4l2					\
	--enable-vpx					\
	--enable-xcb					\
	--enable-x264					\
	--enable-x265					\
	--disable-aom					\
	--disable-aribb25				\
	--disable-aribsub				\
	--disable-chromaprint				\
	--disable-dc1394				\
	--disable-dv1394				\
	--disable-freerdp				\
	--disable-fluidlite				\
	--disable-fluidsynth				\
	--disable-goom					\
	--disable-kate					\
	--disable-caca					\
	--disable-dav1d					\
	--disable-dca					\
	--disable-libva					\
	--disable-libcddb				\
	--disable-libmpeg2				\
	--disable-libtar				\
	--disable-live555				\
	--disable-microdns				\
	--disable-matroska				\
	--disable-mfx					\
	--disable-mmal					\
	--disable-mod					\
	--disable-mpg123				\
	--disable-mtp					\
	--disable-nfs					\
	--disable-opencv				\
	--disable-projectm				\
	--disable-schroedinger				\
	--disable-sid					\
	--disable-soxr					\
	--disable-shine					\
	--disable-shout					\
	--disable-spatialaudio				\
	--disable-swscale				\
	--disable-twolame				\
	--disable-srt					\
	--disable-taglib				\
	--disable-vnc					\
	--disable-vsxu					\
	--disable-wasapi				\
	--disable-zvbi					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	\( -name \*.la -o -name \*.a \)			\
	-delete

#-----------------------------------------------------------------------------
%changelog
